// --Task-- Complete the Phong vertex shader

varying vec3 interpolatedPosition; // We interpolate the position
varying vec3 interpolatedNormal;   // We interpolate the normal

void main() {
    // Find the correct values for the position and the normal in camera space.
    interpolatedPosition = position; // Replace these 2 lines
    interpolatedNormal = normal;

    gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0);
}